<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: FMC Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">FMC Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../dc/d6b/group___n_a_n_o1_x2___f_m_c___driver.html">FMC Driver</a> &raquo; <a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">FMC Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for FMC Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad0_2d6c_2group______n__a__n__o1__x2______f__m__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1d851087b691d1b9bb2fe6b963b69653"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d851087b691d1b9bb2fe6b963b69653">FMC_SET_APROM_BOOT</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td></tr>
<tr class="separator:ga1d851087b691d1b9bb2fe6b963b69653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga755870234f44c18df055023387ad419d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga755870234f44c18df055023387ad419d">FMC_SET_LDROM_BOOT</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td></tr>
<tr class="separator:ga755870234f44c18df055023387ad419d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72b68a056b661e10f7bc1a1bbea14661"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b68a056b661e10f7bc1a1bbea14661">FMC_ENABLE_AP_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td></tr>
<tr class="separator:ga72b68a056b661e10f7bc1a1bbea14661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32dda75d62bf6ece59033d410c932606"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga32dda75d62bf6ece59033d410c932606">FMC_DISABLE_AP_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td></tr>
<tr class="separator:ga32dda75d62bf6ece59033d410c932606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa482e0d0389b4b3661c20427665e5daf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td></tr>
<tr class="separator:gaa482e0d0389b4b3661c20427665e5daf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9edbe1405f140aa36e5f3af3ac9360ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td></tr>
<tr class="separator:ga9edbe1405f140aa36e5f3af3ac9360ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc4e5743dfc1694c1bf5d6b61927eaef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc4e5743dfc1694c1bf5d6b61927eaef">FMC_ENABLE_LD_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td></tr>
<tr class="separator:gacc4e5743dfc1694c1bf5d6b61927eaef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c8a897c30934fe567b07e8190bef138"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c8a897c30934fe567b07e8190bef138">FMC_DISABLE_LD_UPDATE</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td></tr>
<tr class="separator:ga0c8a897c30934fe567b07e8190bef138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabecb5bdcc058132dd01364334984ec41"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabecb5bdcc058132dd01364334984ec41">FMC_DISABLE_ISP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td></tr>
<tr class="separator:gabecb5bdcc058132dd01364334984ec41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga515f2d247d1e6531fcd93cfd12462145"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga515f2d247d1e6531fcd93cfd12462145">FMC_ENABLE_ISP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td></tr>
<tr class="separator:ga515f2d247d1e6531fcd93cfd12462145"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfd5bac4eccadeb21c0f4bf5090032fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabfd5bac4eccadeb21c0f4bf5090032fa">FMC_GET_FAIL_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>) ? 1 : 0)</td></tr>
<tr class="separator:gabfd5bac4eccadeb21c0f4bf5090032fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8365e3d94f7d37a357807c5ba9951b08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8365e3d94f7d37a357807c5ba9951b08">FMC_CLR_FAIL_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>)</td></tr>
<tr class="separator:ga8365e3d94f7d37a357807c5ba9951b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a> (void)</td></tr>
<tr class="memdesc:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">More...</a><br /></td></tr>
<tr class="separator:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga770503ecc8c81b51a08a512f3795ca0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to erase a flash page. The page size is 512 bytes.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">More...</a><br /></td></tr>
<tr class="separator:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a> (void)</td></tr>
<tr class="memdesc:gab6ee808b1bcd13ae19c206bab89bd718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current boot source.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">More...</a><br /></td></tr>
<tr class="separator:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd57308fea4569d942facee962482f9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a> (void)</td></tr>
<tr class="memdesc:gadd57308fea4569d942facee962482f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">More...</a><br /></td></tr>
<tr class="separator:gadd57308fea4569d942facee962482f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa137e07140d3d8782ccc2135a454fba5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a> (uint32_t u32Addr)</td></tr>
<tr class="memdesc:gaa137e07140d3d8782ccc2135a454fba5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read a word from flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">More...</a><br /></td></tr>
<tr class="separator:gaa137e07140d3d8782ccc2135a454fba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f55079cc6dc3f4641d98bd66647509"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a> (void)</td></tr>
<tr class="memdesc:ga28f55079cc6dc3f4641d98bd66647509"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read company ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">More...</a><br /></td></tr>
<tr class="separator:ga28f55079cc6dc3f4641d98bd66647509"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab043658cd7493669ee3875a05be3485c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a> (void)</td></tr>
<tr class="memdesc:gab043658cd7493669ee3875a05be3485c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read product ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">More...</a><br /></td></tr>
<tr class="separator:gab043658cd7493669ee3875a05be3485c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the four UCID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">More...</a><br /></td></tr>
<tr class="separator:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the three UID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">More...</a><br /></td></tr>
<tr class="separator:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bc30659ec176ab90b22a7f469781a43"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a> (void)</td></tr>
<tr class="memdesc:ga8bc30659ec176ab90b22a7f469781a43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the base address of Data Flash if enabled.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">More...</a><br /></td></tr>
<tr class="separator:ga8bc30659ec176ab90b22a7f469781a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27d8d6317541982cc1555f44afcc7a92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga27d8d6317541982cc1555f44afcc7a92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function will force re-map assigned flash page to CPU address 0x0.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">More...</a><br /></td></tr>
<tr class="separator:ga27d8d6317541982cc1555f44afcc7a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a> (void)</td></tr>
<tr class="memdesc:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtain the current vector page address setting.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">More...</a><br /></td></tr>
<tr class="separator:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a> (uint32_t u32Addr, uint32_t u32Data)</td></tr>
<tr class="memdesc:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to program a word to flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">More...</a><br /></td></tr>
<tr class="separator:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c1c982b1575821e1b95e67059686d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:ga21c1c982b1575821e1b95e67059686d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">More...</a><br /></td></tr>
<tr class="separator:ga21c1c982b1575821e1b95e67059686d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to write User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">More...</a><br /></td></tr>
<tr class="separator:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga1a26d3133f06211f483cb3b7a834fe31"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a></td></tr>
<tr class="separator:ga1a26d3133f06211f483cb3b7a834fe31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga8365e3d94f7d37a357807c5ba9951b08" name="ga8365e3d94f7d37a357807c5ba9951b08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8365e3d94f7d37a357807c5ba9951b08">&#9670;&nbsp;</a></span>FMC_CLR_FAIL_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_CLR_FAIL_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Clear ISP fail flag <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00091">91</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga32dda75d62bf6ece59033d410c932606" name="ga32dda75d62bf6ece59033d410c932606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga32dda75d62bf6ece59033d410c932606">&#9670;&nbsp;</a></span>FMC_DISABLE_AP_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_DISABLE_AP_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Disable APROM update <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00083">83</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga9edbe1405f140aa36e5f3af3ac9360ae" name="ga9edbe1405f140aa36e5f3af3ac9360ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9edbe1405f140aa36e5f3af3ac9360ae">&#9670;&nbsp;</a></span>FMC_DISABLE_CFG_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_DISABLE_CFG_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Disable User Config update </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00085">85</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gabecb5bdcc058132dd01364334984ec41" name="gabecb5bdcc058132dd01364334984ec41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabecb5bdcc058132dd01364334984ec41">&#9670;&nbsp;</a></span>FMC_DISABLE_ISP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_DISABLE_ISP</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Disable ISP function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00088">88</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga0c8a897c30934fe567b07e8190bef138" name="ga0c8a897c30934fe567b07e8190bef138"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0c8a897c30934fe567b07e8190bef138">&#9670;&nbsp;</a></span>FMC_DISABLE_LD_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_DISABLE_LD_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Disable LDROM update <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00087">87</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga72b68a056b661e10f7bc1a1bbea14661" name="ga72b68a056b661e10f7bc1a1bbea14661"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72b68a056b661e10f7bc1a1bbea14661">&#9670;&nbsp;</a></span>FMC_ENABLE_AP_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ENABLE_AP_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac0c21a198871791022ba2b58e5bc8a20">FMC_ISPCON_APUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Enable APROM update <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00082">82</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gaa482e0d0389b4b3661c20427665e5daf" name="gaa482e0d0389b4b3661c20427665e5daf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa482e0d0389b4b3661c20427665e5daf">&#9670;&nbsp;</a></span>FMC_ENABLE_CFG_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ENABLE_CFG_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4dd2446e629019a12d9cb17383772962">FMC_ISPCON_CFGUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Enable User Config update <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00084">84</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga515f2d247d1e6531fcd93cfd12462145" name="ga515f2d247d1e6531fcd93cfd12462145"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga515f2d247d1e6531fcd93cfd12462145">&#9670;&nbsp;</a></span>FMC_ENABLE_ISP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ENABLE_ISP</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Enable ISP function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00089">89</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gacc4e5743dfc1694c1bf5d6b61927eaef" name="gacc4e5743dfc1694c1bf5d6b61927eaef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacc4e5743dfc1694c1bf5d6b61927eaef">&#9670;&nbsp;</a></span>FMC_ENABLE_LD_UPDATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ENABLE_LD_UPDATE</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8d226f8e62f9a6502c76c364b6676786">FMC_ISPCON_LDUEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Enable LDROM update <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00086">86</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gabfd5bac4eccadeb21c0f4bf5090032fa" name="gabfd5bac4eccadeb21c0f4bf5090032fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabfd5bac4eccadeb21c0f4bf5090032fa">&#9670;&nbsp;</a></span>FMC_GET_FAIL_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_GET_FAIL_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>) ? 1 : 0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Get ISP fail flag <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00090">90</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga1d851087b691d1b9bb2fe6b963b69653" name="ga1d851087b691d1b9bb2fe6b963b69653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1d851087b691d1b9bb2fe6b963b69653">&#9670;&nbsp;</a></span>FMC_SET_APROM_BOOT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_SET_APROM_BOOT</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Select booting from APROM <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00080">80</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga755870234f44c18df055023387ad419d" name="ga755870234f44c18df055023387ad419d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga755870234f44c18df055023387ad419d">&#9670;&nbsp;</a></span>FMC_SET_LDROM_BOOT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_SET_LDROM_BOOT</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Select booting from LDROM <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00081">81</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga100c2bb214379f1ffb7d7ad3b6bae466" name="ga100c2bb214379f1ffb7d7ad3b6bae466"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga100c2bb214379f1ffb7d7ad3b6bae466">&#9670;&nbsp;</a></span>FMC_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FMC_Close </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable FMC ISP function. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00038">38</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga770503ecc8c81b51a08a512f3795ca0d" name="ga770503ecc8c81b51a08a512f3795ca0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga770503ecc8c81b51a08a512f3795ca0d">&#9670;&nbsp;</a></span>FMC_Erase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t FMC_Erase </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PageAddr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execute ISP command to erase a flash page. The page size is 512 bytes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PageAddr</td><td>Address of the flash page to be erased. It must be a 512-byte aligned address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>ISP page erase success or not. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
    <tr><td class="paramname">-1</td><td>Erase failed </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00052">52</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga770503ecc8c81b51a08a512f3795ca0d_icgraph.png" border="0" usemap="#ad0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga770503ecc8c81b51a08a512f3795ca0d_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gab6ee808b1bcd13ae19c206bab89bd718" name="gab6ee808b1bcd13ae19c206bab89bd718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab6ee808b1bcd13ae19c206bab89bd718">&#9670;&nbsp;</a></span>FMC_GetBootSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t FMC_GetBootSource </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the current boot source. </p>
<dl class="section return"><dt>Returns</dt><dd>The current boot source. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Is boot from APROM. </td></tr>
    <tr><td class="paramname">1</td><td>Is boot from LDROM. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00077">77</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga3d133263bbf32628fb34da7f3ce2f65a" name="ga3d133263bbf32628fb34da7f3ce2f65a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3d133263bbf32628fb34da7f3ce2f65a">&#9670;&nbsp;</a></span>FMC_GetVectorPageAddr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_GetVectorPageAddr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Obtain the current vector page address setting. </p>
<dl class="section return"><dt>Returns</dt><dd>The vector page address. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00252">252</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="gadd57308fea4569d942facee962482f9e" name="gadd57308fea4569d942facee962482f9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadd57308fea4569d942facee962482f9e">&#9670;&nbsp;</a></span>FMC_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FMC_Open </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable FMC ISP function. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00090">90</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="gaa137e07140d3d8782ccc2135a454fba5" name="gaa137e07140d3d8782ccc2135a454fba5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa137e07140d3d8782ccc2135a454fba5">&#9670;&nbsp;</a></span>FMC_Read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_Read </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execute ISP command to read a word from flash. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Addr</td><td>Address of the flash location to be read. It must be a word aligned address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The word data read from specified flash address. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00102">102</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa137e07140d3d8782ccc2135a454fba5_icgraph.png" border="0" usemap="#ad0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa137e07140d3d8782ccc2135a454fba5_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga28f55079cc6dc3f4641d98bd66647509" name="ga28f55079cc6dc3f4641d98bd66647509"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga28f55079cc6dc3f4641d98bd66647509">&#9670;&nbsp;</a></span>FMC_ReadCID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_ReadCID </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read company ID. </p>
<dl class="section return"><dt>Returns</dt><dd>The company ID. Return 0xFFFFFFFF if read failed. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Global error code g_FMC_i32ErrCode -1 Read time-out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00127">127</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga21c1c982b1575821e1b95e67059686d5" name="ga21c1c982b1575821e1b95e67059686d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga21c1c982b1575821e1b95e67059686d5">&#9670;&nbsp;</a></span>FMC_ReadConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t FMC_ReadConfig </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>u32Config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execute ISP command to read User Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">u32Config</td><td>A two-word array. u32Config[0] holds CONFIG0, while u32Config[1] holds CONFIG1. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>Available word count in u32Config. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Success or not. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success. </td></tr>
    <tr><td class="paramname">-1</td><td>Invalid parameter. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00292">292</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga21c1c982b1575821e1b95e67059686d5_cgraph.png" border="0" usemap="#ad0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga21c1c982b1575821e1b95e67059686d5_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga8bc30659ec176ab90b22a7f469781a43" name="ga8bc30659ec176ab90b22a7f469781a43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8bc30659ec176ab90b22a7f469781a43">&#9670;&nbsp;</a></span>FMC_ReadDataFlashBaseAddr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_ReadDataFlashBaseAddr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the base address of Data Flash if enabled. </p>
<dl class="section return"><dt>Returns</dt><dd>The base address of Data Flash </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00224">224</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="gab043658cd7493669ee3875a05be3485c" name="gab043658cd7493669ee3875a05be3485c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab043658cd7493669ee3875a05be3485c">&#9670;&nbsp;</a></span>FMC_ReadPID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_ReadPID </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read product ID. </p>
<dl class="section return"><dt>Returns</dt><dd>The product ID. Return 0xFFFFFFFF if read failed. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Global error code g_FMC_i32ErrCode -1 Read time-out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00151">151</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="gafc1ab62919a2d7714a4514cafa1dfea8" name="gafc1ab62919a2d7714a4514cafa1dfea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc1ab62919a2d7714a4514cafa1dfea8">&#9670;&nbsp;</a></span>FMC_ReadUCID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_ReadUCID </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reads one of the four UCID. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Index</td><td>Index of the UCID to read. u32Index must be 0, 1, 2, or 3. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The UCID. Return 0xFFFFFFFF if read failed. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Global error code g_FMC_i32ErrCode -1 Read time-out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00176">176</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga592aa16573d8ed31aec3ad5fb4e3495a" name="ga592aa16573d8ed31aec3ad5fb4e3495a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga592aa16573d8ed31aec3ad5fb4e3495a">&#9670;&nbsp;</a></span>FMC_ReadUID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_ReadUID </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reads one of the three UID. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Index</td><td>Index of the UID to read. u32Index must be 0, 1, or 2. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The UID. Return 0xFFFFFFFF if read failed. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Global error code g_FMC_i32ErrCode -1 Read time-out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00202">202</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga27d8d6317541982cc1555f44afcc7a92" name="ga27d8d6317541982cc1555f44afcc7a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga27d8d6317541982cc1555f44afcc7a92">&#9670;&nbsp;</a></span>FMC_SetVectorPageAddr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FMC_SetVectorPageAddr </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PageAddr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function will force re-map assigned flash page to CPU address 0x0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PageAddr</td><td>Address of the page to be mapped to CPU address 0x0. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00235">235</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
<a id="ga99d0a2fc9f1b2afadd34f8b3346a0db5" name="ga99d0a2fc9f1b2afadd34f8b3346a0db5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga99d0a2fc9f1b2afadd34f8b3346a0db5">&#9670;&nbsp;</a></span>FMC_Write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t FMC_Write </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execute ISP command to program a word to flash. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Addr</td><td>Address of the flash location to be programmed. It must be a word aligned address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Data</td><td>The word data to be programmed. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00265">265</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga99d0a2fc9f1b2afadd34f8b3346a0db5_icgraph.png" border="0" usemap="#ad0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga99d0a2fc9f1b2afadd34f8b3346a0db5_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gaba70c75883a8bba7ff7f93b3cc75fac6" name="gaba70c75883a8bba7ff7f93b3cc75fac6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaba70c75883a8bba7ff7f93b3cc75fac6">&#9670;&nbsp;</a></span>FMC_WriteConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t FMC_WriteConfig </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>u32Config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execute ISP command to write User Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Config</td><td>A two-word array. u32Config[0] holds CONFIG0, while u32Config[1] holds CONFIG1. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>Available word count in u32Config. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Success or not. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success. </td></tr>
    <tr><td class="paramname">-1</td><td>Invalid parameter. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00311">311</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaba70c75883a8bba7ff7f93b3cc75fac6_cgraph.png" border="0" usemap="#ad0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaba70c75883a8bba7ff7f93b3cc75fac6_cgraph" alt=""/></div>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ga1a26d3133f06211f483cb3b7a834fe31" name="ga1a26d3133f06211f483cb3b7a834fe31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a26d3133f06211f483cb3b7a834fe31">&#9670;&nbsp;</a></span>g_FMC_i32ErrCode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t g_FMC_i32ErrCode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dbc/fmc_8c_source.html#l00032">32</a> of file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
